org.apache.naming

## Class NamingContextEnumeration

- java.lang.Object
- - org.apache.naming.NamingContextEnumeration

All Implemented Interfaces:
  Enumeration<NameClassPair>, NamingEnumeration<NameClassPair>

    public class NamingContextEnumeration
    extends Object
    implements NamingEnumeration<NameClassPair>

Naming enumeration implementation.

Author:
  Remy Maucherat

### Field Summary

Fields
`protected Iterator<NamingEntry>` `iterator` Underlying enumeration.

### Constructor Summary

Constructors
Constructor and Description
`NamingContextEnumeration(Iterator<NamingEntry> entries)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes this enumeration.
`boolean` `hasMore()` Determines whether there are any more elements in the enumeration.
`boolean` `hasMoreElements()`
`NameClassPair` `next()` Retrieves the next element in the enumeration.
`NameClassPair` `nextElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### iterator

    protected final Iterator<NamingEntry> iterator

Underlying enumeration.

### Constructor Detail

#### NamingContextEnumeration

    public NamingContextEnumeration(Iterator<NamingEntry> entries)

### Method Detail

#### next

    public NameClassPair next()
                       throws NamingException

Retrieves the next element in the enumeration.

Specified by:
  `next` in interface `NamingEnumeration<NameClassPair>`
Throws:
  `NamingException`

#### hasMore

    public boolean hasMore()
                    throws NamingException

Determines whether there are any more elements in the enumeration.

Specified by:
  `hasMore` in interface `NamingEnumeration<NameClassPair>`
Throws:
  `NamingException`

#### close

    public void close()
               throws NamingException

Closes this enumeration.

Specified by:
  `close` in interface `NamingEnumeration<NameClassPair>`
Throws:
  `NamingException`

#### hasMoreElements

    public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration<NameClassPair>`

#### nextElement

    public NameClassPair nextElement()

Specified by:
  `nextElement` in interface `Enumeration<NameClassPair>`